### Signal

# GUPnPAV DIDLLiteParser::item-available

#### Declaration

    void
    item_available (
      GUPnPDIDLLiteParser* self,
      GUPnPDIDLLiteItem* item,
      gpointer user_data
    )

#### Description [src]

The ::item-available signal is emitted each time an item is found in the DIDL-Lite XML being parsed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`item`

  Type: `GUPnPDIDLLiteItem`

  The now available `GUPnPDIDLLiteItem`.

  The data is owned by the caller of the function.